#!/usr/bin/ruby

require 'ocpclient'
require 'json'

ssl_options = {
  client_cert: OpenSSL::X509::Certificate.new(File.read('certs/admincrt.pem')),
  client_key:  OpenSSL::PKey::RSA.new(File.read('certs/adminkey.pem')),
  ca_file:     'certs/adminca.pem',
  verify_ssl: OpenSSL::SSL::VERIFY_NONE }


client = Ocpclient::Client.new 'https://openshift.kenscloud.io:8443', "v1", ssl_options: ssl_options

project = Kubeclient::ProjectRequest.new

project.metadata = {}
project.metadata.name = "testproject"
project.displayName = "Test Project"
project.description = "This is a test project"

puts "#{client.create_project_request project}"
