#!/usr/bin/ruby

require 'ocpclient'
require 'json'

ssl_options = {
  client_cert: OpenSSL::X509::Certificate.new(File.read('certs/admincrt.pem')),
  client_key:  OpenSSL::PKey::RSA.new(File.read('certs/adminkey.pem')),
  ca_file:     'certs/adminca.pem',
  verify_ssl: OpenSSL::SSL::VERIFY_NONE }


client = Ocpclient::Client.new 'https://openshift.kenscloud.io:8443', "v1", ssl_options: ssl_options

project_list = client.get_projects


project_list.each do |project|
     puts "Project ==> #{project.metadata.name}"
end

