# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'ocpclient/version'

Gem::Specification.new do |spec|
  spec.name          = 'ocpclient'
  spec.version       = Ocpclient::VERSION
  spec.authors       = ['Kenneth Evensen']
  spec.email         = ['kevensen@redhat.com']
  spec.summary       = 'A client for OpenShift Container Platform REST api'
  spec.description   = 'A client for OpenShift Container Platform REST api'
  spec.homepage      = 'https://github.com/kevensen/ocpclient'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.0.0'

  spec.add_development_dependency 'kubeclient'
  spec.add_runtime_dependency 'kubeclient'
end
